Bug 27605 - Compile window does not get focus after failed compile
Compile window does not get focus after failed compile
Status: VERIFIED WONTFIX
Product: platform
Classification: Unclassified
Component: Window System
3.x
All All
: P3 (vote)
: 3.x
Assigned To: mslama
issues@platform
: FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-26 10:17 UTC by doozer
Modified: 2008-12-22 21:16 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description doozer 2002-09-26 10:17:57 UTC
When compiling source that has an error the
compile tab does not grab focus as it has in
previous versions.
Comment 1 Jan Lahoda 2002-09-26 11:47:40 UTC
This does not seem to me like editor bug. I move this bug to core for
evaluation.
Comment 2 Marian Mirilovic 2002-10-11 09:51:02 UTC
reproducible on [nb_dev](20020910), [jdk1.4.1](fcs) on 
Solaris 5.8
Comment 3 Marian Mirilovic 2002-11-13 15:32:17 UTC
changed owner Dafe -> Peter Z.
Comment 4 Marian Mirilovic 2002-12-06 18:19:56 UTC
reassign to Tim, new owner of AWT/Swing
Comment 5 _ tboudreau 2003-09-09 01:35:22 UTC
Changing component to UI - please clarify what should happen - some
people strongly feel the output window should get focus; others
strongly feel the editor should retain focus (part of the problem
may be that it's hard to tell that the output window has focus - it
just seems like the keyboard doesn't work).  HIE folks, could you
come up with a recommendation?  It's easy to fix either way - we 
just need to decide which.
Comment 6 mslama 2003-12-01 09:30:47 UTC
According to UI spec for new window system focus should not be
grabbed. Use shortcut instead to transfer focus to Output window.
Comment 7 Marian Mirilovic 2005-07-12 09:47:42 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo